/*
 *  Licensed Materials - Property of IBM
 *  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
 *  US Government Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

package com.AndroidApacheCordovaPlugin;

import org.apache.cordova.api.CallbackContext;
import org.apache.cordova.api.CordovaPlugin;
import org.json.JSONArray;
import org.json.JSONException;

public class HelloWorldPlugin extends CordovaPlugin {
	
	@Override
	public boolean execute(String action, JSONArray args, CallbackContext callbackContext) 
			throws JSONException {
		
		if (action.equals("sayHello")){
			try {
				String responseText = "Hello world, " + args.getString(0);
				callbackContext.success(responseText);
			} catch (JSONException e){
				callbackContext.error("Failed to parse parameters");
			}
			return true;
		}
		
		return false;
	}
}
